Type to search.

Preview a transform

  • POST also GET /_transform/{transform_id}/_preview
  • POST also GET /_transform/_preview
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 7.2 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Generates a preview of the results that you will get when you create a transform with the same configuration.

It returns a maximum of 100 results. The calculations are based on all the current data in the source index. It also generates a list of mappings and settings for the destination index. These values are determined based on the field types of the source index and the transform aggregations.

Required privileges

Index privileges read view_index_metadata
Cluster privileges manage_transform

Path parameters

transform_id string optional

Identifier for the transform to preview. If you specify this path parameter, you cannot provide transform configuration details in the request body.

Leave it out to use /_transform/_preview.

Query parameters

timeout union oneOf · default: 30s

Period to wait for a response. If no response is received before the timeout expires, the request fails and returns an error.

Values: -1 0

Request body

description string

Free text description of the transform.

frequency union oneOf · default: 1m

The interval between checks for changes in the source indices when the transform is running continuously. Also determines the retry interval in the event of transient failures while the transform is searching or indexing. The minimum value is 1s and the maximum is 1h.

Values: -1 0

Response

application/json
generated_dest_index object required
aliases map string to object
defaults object

Default settings, included when the request's include_default is true.

Same fields as settings in generated_dest_index
data_stream string
preview object[] required